class_name FootController extends Node3D

enum SurfaceMaterial {
	UNKNOWN,
	GRUNK,
	PLASTIC,
	METAL,
}

@onready var metal: AudioStreamPlayer3D = $Metal


func get_player_for_material(surface_material: SurfaceMaterial) -> AudioStreamPlayer3D:
	match surface_material:
		SurfaceMaterial.GRUNK:
			pass  # TODO
		SurfaceMaterial.PLASTIC:
			pass  # TODO
		SurfaceMaterial.METAL:
			return metal
		SurfaceMaterial.UNKNOWN:
			pass
	return null
